/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.dto;

import jp.mosp.common.common.BaseDto;

public class PsSlipDto extends BaseDto {
	
	private static final long serialVersionUID = 1339303409932069143L;
	
	/**
	 * 伝票コード。<br>
	 */
	private String slipCode;
	
	/**
	 * 明細区分。<br>
	 */
	private String detailType;
	
	/**
	 * 明細コード。<br>
	 */
	private String detailCode;
	
	/**
	 * 表示順。<br>
	 */
	private byte viewIndex;
	
	/**
	 * 明細コードを取得する。
	 * @return 明細コード
	 */
	public String getDetailCode() {
		return detailCode;
	}

	/**
	 * 明細コードを設定する。
	 * @param detailCode 設定する明細コード
	 */
	public void setDetailCode(String detailCode) {
		this.detailCode = detailCode;
	}

	/**
	 * 明細区分を取得する。
	 * @return 明細区分
	 */
	public String getDetailType() {
		return detailType;
	}

	/**
	 * 明細区分を設定する。
	 * @param detailType 設定する明細区分
	 */
	public void setDetailType(String detailType) {
		this.detailType = detailType;
	}

	/**
	 * 伝票コードを取得する。
	 * @return 伝票コード
	 */
	public String getSlipCode() {
		return slipCode;
	}

	/**
	 * 伝票コードを設定する。
	 * @param slipCode 設定する伝票コード
	 */
	public void setSlipCode(String slipCode) {
		this.slipCode = slipCode;
	}

	/**
	 * 表示順を取得する。
	 * @return 表示順
	 */
	public byte getViewIndex() {
		return viewIndex;
	}

	/**
	 * 表示順を設定する。
	 * @param viewIndex 設定する表示順
	 */
	public void setViewIndex(byte viewIndex) {
		this.viewIndex = viewIndex;
	}
	
}
